{% extends "siswa/userbase.html.twig" %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Scan Qr Code
        {% endblock %}

    {% endembed %}


    <section class="container-fluid b-primary" style="height: 100vh; width: 100vw">


        <div class="d-flex justify-content-center align-items-center flex-column">
            <div class="p-3 bg-white"  style="margin-top: 20vh; border-radius: 20px">
                <div id="qrcodeCanvas"></div>
            </div>
            <p class="text-center text-white font-weight-bold mt-2">Scan untuk mengisi absensi</p>

        </div>
    </section>
{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('js/etc/qrcode.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/etc/jquery.qrcode.js') }}"></script>
    <script>
        //jQuery('#qrcode').qrcode("this plugin is great");
        let user = '{{ user }}';
        jQuery('#qrcodeCanvas').qrcode({
            text: user
        });
    </script>
{% endblock %}